/**
 *******************************************************************************
 * @file    tmpm364_dmac_int.h
 * @brief   All interrupt request functions prototypes of DMAC
 *           for the TOSHIBA 'TMPM364' Device Series 
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM364_DMAC_INT_H
#define __TMPM364_DMAC_INT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM364.h"
#include "tmpm364_dmac.h"

/* User ram declaration	*/
extern volatile WorkState TxEndFlag;

void INTDMACTC0_IRQHandler(void);

#endif                          /* __TMPM364_DMAC_INT_H */
