 /**
 *******************************************************************************
 * @file    main.c
 * @brief   The demo functions of RC for the 
 *          TOSHIBA 'TMPM364' Device Series.
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/

#include "tmpm364_rc.h"

int main(void)
{
    RC_RAMWait tmp_value;
    uint32_t ret_0 = 0U;

    while (1) {
        /* Set the value of RCWAIT register */
        RC_SetRAMWait(RC_RAMWAIT_1);

        /* Get the value of RCWAIT register */
        tmp_value = RC_GetRAMWait();
        if (tmp_value != RC_RAMWAIT_1) {
            ret_0 = 1U;
        }
    }
}



#ifdef DEBUG
void assert_failed(char *file, int32_t line)
{
    while (1) {
        __NOP();
    }
}
#endif
