/**
 ******************************************************************************
 * @file     key.h
 * @brief    KEY driver for the TOSHIBA TMPM36x Device Series
 * @version  V0.101
 * @date     2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 ******************************************************************************
 */
#ifndef __KEY_H
#define __KEY_H

#include "TMPM364.h"

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

#define KEY1     ((uint8_t)0x01)
#define KEY2     ((uint8_t)0x02)
#define KEY3     ((uint8_t)0x04)
#define KEY4     ((uint8_t)0x08)

/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/
/* external variables --------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */
void KEY_Configuration(void);
uint8_t KEY_Get(uint8_t ucKEY);

#endif                          /* KEY_H */
