/**
 *******************************************************************************
 * @file    tmpm364_cec_int.h
 * @brief   all interrupt request functions prototypes of CEC standby demo
 *          for the TOSHIBA 'TMPM364' Device Series
 * @version V0.101
 * @date    2014/05/20
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM364_IT_H
#define __TMPM364_IT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM364.h"
#include "tmpm364_cec.h"

void INTCECRX_IRQHandler(void);
void INTCECTX_IRQHandler(void);

#endif                          /* __TMPM364_IT_H */
