/**
 *******************************************************************************
 * @file    tmpm364_tmrb_int.c
 * @brief   All interrupt request functions definition of TB0_LED demo
 *          for the TOSHIBA 'TMPM364' Device Series
 * @version V0.101
 * @date    2014/05/20
 *
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 *
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/
#include "tmpm364_tmrb_int.h"

void INTTB0_IRQHandler(void)
{
    static uint32_t cnt = 0U;
    
    cnt++;
    if (cnt < 1000U) {
        TSB_PM_DATA_PM4 = 0;
    } else if (cnt < 2000U) {
        TSB_PM_DATA_PM4 = 1;
    } else {
        cnt = 0U;
        TSB_PM_DATA_PM4 = 0;
    }
}
