/**
 *******************************************************************************
 * @file    tmpm364_uart_int.h
 * @brief   All interrupt request functions prototypes of UART (Serial Channel)
 *          for the TOSHIBA 'TMPM364' Device Series
 * @version V0.101
 * @date    2014/05/20
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM364_UART_INT_H
#define __TMPM364_UART_INT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM364.h"
#include "tmpm364_uart.h"

void INTTX0_IRQHandler(void);

#endif                          /* __TMPM364_UART_INT_H */
